twitter4j

## Interface UserMentionEntity

All Superinterfaces:
  Serializable, TweetEntity

    public interface UserMentionEntity
    extends TweetEntity, Serializable

A data interface representing one single user mention entity.

Since:
  Twitter4J 2.1.9
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getEnd()` Returns the index of the end character of the user mention.
`long` `getId()` Returns the user id mentioned in the status.
`String` `getName()` Returns the name mentioned in the status.
`String` `getScreenName()` Returns the screen name mentioned in the status.
`int` `getStart()` Returns the index of the start character of the user mention.
`String` `getText()` Returns the screen name mentioned in the status.

### Method Detail

#### getText

    String getText()

Returns the screen name mentioned in the status. This method implementation is to meet TweetEntity interface and the behavior is equivalent to `getScreenName()`

Specified by:
  `getText` in interface `TweetEntity`
Returns:
  the screen name mentioned in the status

#### getName

    String getName()

Returns the name mentioned in the status.

Returns:
  the name mentioned in the status

#### getScreenName

    String getScreenName()

Returns the screen name mentioned in the status.

Returns:
  the screen name mentioned in the status

#### getId

    long getId()

Returns the user id mentioned in the status.

Returns:
  the user id mentioned in the status

#### getStart

    int getStart()

Returns the index of the start character of the user mention.

Specified by:
  `getStart` in interface `TweetEntity`
Returns:
  the index of the start character of the user mention

#### getEnd

    int getEnd()

Returns the index of the end character of the user mention.

Specified by:
  `getEnd` in interface `TweetEntity`
Returns:
  the index of the end character of the user mention